import request from '@/utils/request'

// 查询流程节点定义列表
export function listPRODEFACTION(query) {
  return request({
    url: '/business/PRODEFACTION/list',
    method: 'get',
    params: query
  })
}

// 查询流程节点定义所有列表
export function listAllPRODEFACTION(query) {
  return request({
    url: '/business/PRODEFACTION/listAll',
    method: 'get',
    params: query
  })
}

// 查询流程节点定义详细
export function getPRODEFACTION(id) {
  return request({
    url: '/business/PRODEFACTION/getInfo/' + id,
    method: 'get'
  })
}

// 新增流程节点定义
export function addPRODEFACTION(data) {
  return request({
    url: '/business/PRODEFACTION/add',
    method: 'post',
    data: data
  })
}

// 修改流程节点定义
export function updatePRODEFACTION(data) {
  return request({
    url: '/business/PRODEFACTION/edit',
    method: 'post',
    data: data
  })
}

// 删除流程节点定义
export function delPRODEFACTION(id) {
  return request({
    url: '/business/PRODEFACTION/remove/' + id,
    method: 'get'
  })
}
